
Figure - Bug #117341
测试 Test-IT # 111062 (New): V3.0功能测试

测试 Test-IT # 111067 (New): AF-V3.0--Launcher/SystemUI-任务管理器

【AF】【EVT】【任务管理器】在有小窗的情况下，在recent中进行应用切换、再上划进入recent，有概率出
现上划时进程卡片不随手势变小的情况（1/3）
2023-04-06 11:44 - CD TEST-方永红

Status: CLOSED Start date: 2023-04-06

Priority: Normal Due date: 2023-04-20

Assignee: CD TEST-方永红 % Done: 100%

Category: CD-APP Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_MCE_FSE.M.R.user.01.00.0089.C102(X102)

Resolution: FIXED Degrated: --

Severity: Normal Verified Version: FlatBuild_HH_MCE_FSE.M.D.user.01.00.C103(X103).202304120453

Reproducibility: Every time Fixed Version: 2023-04-12

Test Type: ST Root cause: AOSP问题

Description

【测试步骤】

1、进入任务管理器

2、打开一个小窗应用

3、点击另一进程卡片

4、上划

5、重复步骤3-4（换个应用）

【预期结果】

5、每次上划应用卡片都随手势变小，且有蓝色选中框

【实际结果】

5、有概率出现上划时进程卡片不随手势变小的情况，此时也可成功进入任务管理器，但是该应用无蓝色选中框

History

#1 - 2023-04-06 13:35 - CD APP-王营

- Status changed from New to ASSIGNED

- Assignee changed from CD APP-王营 to CD APP-王宏

#2 - 2023-04-07 11:26 - CD APP-王宏

- Fixed Version set to 2023-04-13

跟随  Bug #116969  之后再解决

在116969 验证包中未出现相关问题，故此延后到116969之后解决

#3 - 2023-04-10 19:13 - CD APP-王营

- Due date set to 2023-04-20

#4 - 2023-04-11 18:16 - CD APP-王宏

- % Done changed from 0 to 50
■ Current conclusion

已提交

■ My analysis

主要原因是获取运行时的task取到了小窗的，没有匹配上，所以，需要全屏应用缩小时，才没有任何反应。

故此在获取runningTask时候应该将小窗的给排除出去

■Submit URL

https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Launcher3/+/193060

#5 - 2023-04-11 19:36 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

193060 general/platform/packages/apps/Launc

her3

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

hong.wang_a@thundersoft.com

AF:Gesture:Fixed the bug that the thumbnail does not shrink with the gestureTC-RID: 0301-0205201IssueID: TS-R-BUG-117341Change-Id:

I167dbc9f34bc9bcfa49e2c68390e746aa0312cca

#6 - 2023-04-11 19:36 - CD APP-王宏

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD APP-王宏 to CD TEST-方永红

- % Done changed from 50 to 100

- Resolution changed from -- to FIXED

- Fixed Version changed from 2023-04-13 to 2023-04-12

- Root cause set to AOSP问题

#7 - 2023-04-12 10:18 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

- Verified Version set to FlatBuild_HH_MCE_FSE.M.D.user.01.00.C103(X103).202304120453

4.12

验证通过

#8 - 2023-04-12 10:18 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

Files

Phone-1A2212290000001651 2023-04-06 11-43-53.mp4 11.2 MB 2023-04-06 CD TEST-方永红

2025-07-04 2/2

https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Launcher3/+/193060

